#!/bin/sh
export XMODIFIERS="@im=SCIM"
export XIM=scim
export XIM_PROGRAM=scim
export GTK_IM_MODULE=scim
export QT_IM_MODULE=scim
export GTK_IM_MODULE=scim
export QT_IM_MODULE=scim
export GDK_USE_XFT=1
export LANG=zh_CN.UTF-8
export LC_ALL=zh_CN.UTF-8
XDM_PATH=/bin:/usr/bin:/sbin:/usr/sbin:/opt/kde/bin:/usr/bin/perlbin/site:/usr/bin/perlbin/vendor:/usr/bin/perlbin/core:/opt/qt/bin
ARROW_PATH=$HOME/.bin/shell:/usr/local/bin:/usr/local/sbin:/bin:/usr/games
A_TOOL_PATH=/work/.opt/mv_tools/bin
#A_TOOL_PATH=$TOOL_PATH:/opt/extra/bin/
#A_TOOL_PATH=$TOOL_PATH:/opt/brcm/hndtools-mipsel-linux/bin
#A_TOOL_PATH=$TOOL_PATH:/opt/brcm/hndtools-mipsel-uclibc/bin
#A_TOOL_PATH=$TOOL_PATH:/opt/hardhat/devkit/mips/fp_le/bin
#A_TOOL_PATH=$TOOL_PATH:/opt/mipsel-linux-uclibc/bin
#A_TOOL_PATH=$TOOL_PATH:/opt/BRECIS/i686-pc-linux-gnu-x-mipsisa32-elf-newlib/bin
#A_TOOL_PATH=$TOOL_PATH:/work/.opt/build_arm_nofpu/staging_dir/bin/
#A_TOOL_PATH=$TOOL_PATH:/work/.opt/virata/tools_v10.1c/redhat-3-x86/bin
#A_TOOL_PATH=$TOOL_PATH:/work/.opt/utils_work
#A_TOOL_PATH=$TOOL_PATH:/work/.opt/iad6358/bin/
export PATH=$ARROW_PATH:$A_TOOL_PATH$XDM_PATH

userresources=$HOME/.Xresources
usermodmap=$HOME/.Xmodmap
sysresources=/etc/X11/xinit/.Xresources
sysmodmap=/etc/X11/xinit/.Xmodmap

# merge in defaults and keymaps

if [ -f $sysresources ]; then
    xrdb -merge $sysresources
fi

if [ -f $sysmodmap ]; then
    xmodmap $sysmodmap
fi

if [ -f $userresources ]; then
    xrdb -merge $userresources
fi

if [ -f $usermodmap ]; then
    xmodmap $usermodmap
fi
# start some nice programs
xset s 90000
xset s noblank s 24000 2400  s expose
#xsetroot -solid SteelBlue
killall -9 ssh-agent 
ssh-agent > /tmp/.ssh_agent_q && source /tmp/.ssh_agent_q && rm -f /tmp/.ssh_agent_q
arrow-xinit &
#xv -root -quit ~/.wallpaper/a.png
#fvwm2
# fvwm-themes-start
#startkde
#fvwm-themes-start
ion3
#pwm3
